#!/bin/bash

if [ "$1" ]; then
  SIZE="$1"
else
  echo "USAGE generate_background_solid.sh SIZE (XxY)"
  exit 1
fi

  BGCOLOR=$(./random_line.sh /usr/X11R6/lib/X11/rgb.txt | cut -f 3- | sed 's/[ \t]*//g')
  convert -size $SIZE xc:"$BGCOLOR" background.png

exit 0
